export interface ChecklistItem {
  id: number
  content: string
  checked: boolean
  parent_id: number | null
  locked_by?: string
  lock_until?: string
  checklist_uuid: string
  children?: ChecklistItem[]
  dependencies?: number[]
}

export interface SavedChecklist {
  uuid: string
  name: string
  createdAt: string
  lastOpened?: string
}

export interface SSEEvent {
  type: 'full_state' | 'item_added' | 'item_updated' | 'item_deleted' | 'item_locked' | 'item_unlocked' | 'checklist_name'
  name?: string
  items?: ChecklistItem[]
  item?: ChecklistItem
  id?: number
  locked_by?: string
  expires?: string
}

export interface ApiResponse<T = any> {
  success: boolean
  message: string
  [key: string]: T | boolean | string
} 